commit:     cfaf3525ff1b5925f66bff513b9c9521d8bc9f28
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Nov 11 07:34:48 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Nov 11 08:35:39 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cfaf3525

dev-python/boto3: Bump to 1.28.84

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/boto3/Manifest             |  1 +
 dev-python/boto3/boto3-1.28.84.ebuild | 67 +++++++++++++++++++++++++++++++++++
 2 files changed, 68 insertions(+)

diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 4482bacf651c..66147a00e5b0 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -6,3 +6,4 @@ DIST boto3-1.28.79.gh.tar.gz 724864 BLAKE2B 
b6327a3dfd0095078668c85fb539885cdbc8
 DIST boto3-1.28.80.gh.tar.gz 725109 BLAKE2B 
ba34c01f64817f437a2cf85f3de3672c01edbe2a4aa5f7dec3bcc0e0c78c6c3f1932e630e936d8f515e3293635f5935490905ed7847667d082a77645915344fd
 SHA512 
83bc9f9c9880b7fc847fc95d202c2ffbfde32e06deeed787f86e76b0ccae9c44585f95ec193afb80d16d257f508334fdd048b8eefef9ebff5505de521e8c7288
 DIST boto3-1.28.82.gh.tar.gz 726369 BLAKE2B 
757445a7af86182d6bd3143bbf576e24a1a4608929bafb641ed678d444364d2948d07ebc0ef434a53a0349a8a286dc818d757ee3c59545f8550ff39dcd745147
 SHA512 
ccfd72a6988565c884232a64ee33e01cf54a03e8f0f77990cc5bf633e60b92cad7562d1603726488e723813671e8931b1386ef06069074fea0611728aea06f96
 DIST boto3-1.28.83.gh.tar.gz 727298 BLAKE2B 
3a3130cad3db6a3ec02bdf35b33c8983f385bdd835d34eaf2fb5aca3b6d31dc6324e41faf81aba4c475464c4dcffc1ad2f5b5859587e294b4f222efcb3f68c24
 SHA512 
98521afdc3b9a8f6b742f3c84591aeae0efef50b80f4577594ff78d270db28a610ee5db3f9c5da056ac291decec7746a12af592d44208e9b899ad94c74f765de
+DIST boto3-1.28.84.gh.tar.gz 728124 BLAKE2B 
2fcc553a4a109b0bc92cdf0b08fe77fcef54792ee606b6b9ed7cde1ae92accabb9f9ce005d9ccd391601efac31eec407345471542c5b7298689ab1037ed8f41f
 SHA512 
1b7f1fe951a9f3655a71bd51e9328f4474f9b320df82914b9ad0d64a32043aacf16fc5df1989304fd4d35430ddf6f58d0676fdb3985944d955c169a0ec58ce7b

diff --git a/dev-python/boto3/boto3-1.28.84.ebuild 
b/dev-python/boto3/boto3-1.28.84.ebuild
new file mode 100644
index 000000000000..0604e0996a82
--- /dev/null
+++ b/dev-python/boto3/boto3-1.28.84.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+       https://github.com/boto/boto3/
+       https://pypi.org/project/boto3/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+       EGIT_REPO_URI="https://github.com/boto/boto3";
+       inherit git-r3
+       BOTOCORE_PV=${PV}
+else
+       SRC_URI="
+               https://github.com/boto/boto3/archive/${PV}.tar.gz
+                       -> ${P}.gh.tar.gz
+       "
+       KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 
~amd64-linux ~x86-linux"
+
+       # botocore is x.(y+3).z
+       BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+       >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+       >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+       >=dev-python/s3transfer-0.7.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/mock[${PYTHON_USEDEP}]
+       )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       # don't lock versions to narrow ranges
+       sed -e '/botocore/ d' \
+               -e '/jmespath/ d' \
+               -e '/s3transfer/ d' \
+               -i setup.py || die
+
+       # do not rely on bundled deps in botocore (sic!)
+       find -name '*.py' -exec sed -i \
+               -e 's:from botocore[.]vendored import:import:' \
+               -e 's:from botocore[.]vendored[.]:from :' \
+               {} + || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       epytest tests/{functional,unit}
+}

Reply via email to